package es2;

import java.util.ArrayList;

public class FastFood {
	private final ArrayList<Personale> persone;
	private final ArrayList<Ordine> ordini;
	
	public FastFood () {
		persone = new ArrayList<>();
		ordini = new ArrayList<>();
	}
	
	public double totaleAsporto() {
		double somma=0;
		/*
		for (Ordine o:ordini) {
			if (o!=null && o instanceof OrdineAsporto) {
				somma += o.getTotale();				
			}
		}
		*/
		for (int i =0; i<ordini.size(); i++) {
			Ordine o = ordini.get(i); 
			if (o!=null && o instanceof OrdineAsporto) {
				somma += o.getTotale();				
			}
		}
		
		return somma;
	}
	
	public Personale getMigliore() {
		double sommaMax=0;
		Personale cameriereMigliore=null;
		for (Personale p:persone) {
			if (p!=null) {
				double somma=0;
				for (Ordine o:ordini) {
					if (o!=null && o instanceof OrdineTavolo &&
							o.getCameriere()==p) {
						somma += o.getTotale();
					}
				}
				if (somma>sommaMax) {
					sommaMax=somma;
					cameriereMigliore=p;
				}
			}
		}
		return cameriereMigliore;
	}
	

}
