package es2;

import java.util.ArrayList;

public abstract class Ordine {
	private Personale cameriere;
	private ArrayList<ProdottoOrdinato> comanda;
	
	public Ordine (Personale cameriere) {
		this.cameriere=cameriere;
		comanda = new ArrayList<>();
	}
	
	public Personale getCameriere() {
		return cameriere;
	}
	
	public abstract double getTotale();
	
	protected double totaleComanda() {
		double ris=0;
		for (ProdottoOrdinato p:comanda) {
			if (p!=null) {
				ris = ris + p.getQuantita() * p.getCostoUnitario();				
			}
		}
		return ris;
	}
}
